Online Sprachumschaltung

Online Sprachumschaltung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Die Sprachumschaltung ermöglicht im Onlinebetrieb dargestellte Textinformationen in verschiedenen Sprachen anzuzeigen. Bei der Umsetzung internationaler Projekte ist die Umschaltbarkeit der Sprache unerlässlich.

Beispiele für deren Anwendung sind:

  • Auslieferung eines Projektes in unterschiedlichen Sprachen
  • zentrale Dienste, auf die aus verschiedenen Ländern zugegriffen wird
  • dezentrale Anlagen, die weltweit einsehbar sind
  • verschiedensprachige Bedienung einer Anlage

Noch in diesem Kapitel

Voraussetzungen

Ziel des Tutorials

Zielsetzung

Texte umschalten

Asiatische Zeichensätze

Chronologische Ereignisliste

Alarme

Technische Einheiten

Wizards

Pfade für Sprachen

Testfragen zur Selbstkontrolle

Aufgaben zur Selbstkontrolle


Voraussetzungen

Online Sprachumschaltung -> Voraussetzungen

Leitsystem Version ab Version 6.20

In diesem Tutorial wird geringes Leitsystem-Basis-Wissen vorausgesetzt. Für unerfahrene User ist es daher ratsam, zuerst das Tutorial Basic durchzuarbeiten.

Beim Erstellen dieses Projektes wurde der Projekt-Wizard verwendet. Dieser projektiert automatisch die nicht beschriebenen, aber nötigen Voraussetzungen. (z.B. Main_Picture, Button_Bar, Funktionen).

Die Anleitungen für die Einstellungen im Eigenschaften-Fenster beziehen sich auf die Gruppierte Ansicht.


Ziel des Tutorials

Online Sprachumschaltung -> Ziel des Tutorials

Das Nachprojektieren der im Tutorial beschriebenen Projekte nimmt etwa 1.5 bis 2 Stunden in Anspruch.

Ziel dieses Tutorials ist es, einen umfangreichen Einblick in die Möglichkeiten der Sprachumschaltung zu geben, die das Leitsystem bietet. Beginnend mit grundlegenden Möglichkeiten der Sprachumschaltung von Texten und Buttons (auch in nicht-westliche Schriftsätze) über das Sprachumschalten von diversen Fenster-Arten wie AML und CEL, bis hin zur Umrechnung von Werteinheiten mittels Reports, sollten Sie nach diesem Tutorial in der Lage sein alle klassischen Aufgaben im Zusammenhang mit der Sprachumschaltung lösen zu können.


Zielsetzung

Online Sprachumschaltung -> Zielsetzung

Projekt 1

Ein Text soll online sprachumschaltbar sein.

Das Umschalten zwischen Deutsch und Holländisch soll möglich sein.

Die Umschaltung soll mittels Buttons mit Flaggen-Design der jeweiligen Länder erfolgen.

Projekt 2

Ein Text und eine Buttonbeschriftung sollen online sprachumschaltbar sein.

Diesmal in eine asiatische Sprache mit asiatischem Zeichensatz.

Das Umschalten zwischen Deutsch und Japanisch soll möglich sein.

Die Umschaltung soll mittels Buttons mit Flaggen-Design der jeweiligen Länder erfolgen.

Projekt 3

Die Einträge in der Chronologischen Ereignisliste sowie die Button-Beschriftungen sollen online sprachumschaltbar sein.

Das Umschalten zwischen Deutsch und Japanisch soll möglich sein.

Die Umschaltung soll mittels Buttons mit Flaggen-Design der jeweiligen Länder erfolgen.

Projekt 4

Die Einträge in der Alarmmeldeliste sowie die Button-Beschriftungen sollen online sprachumschaltbar sein.

Das Umschalten zwischen Deutsch und Japanisch soll möglich sein.

Die Umschaltung soll mittels Buttons mit Flaggen-Design der jeweiligen Länder erfolgen.

Projekt 5

Umschaltbarkeit von Einheiten, wie Temperatur.

Die Sprachumschaltung zwischen Deutsch und Englisch soll mittels Buttons mit Flaggen-Design möglich sein.

Die Temperatur soll gleichzeitig mit der Sprachumschaltung Englisch von Grad Celsius in Grad Fahrenheit umgerechnet werden.

Projekt 6

Möglichkeiten des Einsatzes eines Wizards für die Sprachumschaltung.

Projekt 7

Möglichkeit der Sprachumschaltung von Runtime-Hilfe, Listen und Medienpfad.


Texte umschalten

Online Sprachumschaltung -> Texte umschalten

Was wird gemacht?

Sprachumschaltung: Text | Ein Text soll online sprachumschaltbar sein.
 | Das Umschalten zwischen Deutsch und Holländisch soll möglich sein.
 | Die Umschaltung soll mittels Buttons mit Flaggen-Design der jeweiligen Länder erfolgen.

Noch in diesem Kapitel

Bild mit Text erstellen

Sprachtabelle

Funktion 'Bildumschaltung'

Buttons

Runtime


Bild mit Text erstellen

Online Sprachumschaltung -> Texte umschalten -> Bild mit Text erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Was wird gemacht?

Bild | Das Bild Warnung wird erstellt.
Text | Ein Vektor Element Text wird erstellt.

Noch in diesem Kapitel

Bild

Text


Bild

Online Sprachumschaltung -> Texte umschalten -> Bild mit Text erstellen -> Bild

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Im Projektmanager öffnen Sie das Kontextmenü von Bilder.
  • Wählen Sie Bild neu.
  • Das Picture_0 wird automatisch erstellt.
  • Konfigurieren Sie es im Eigenschaften-Fenster.
  • Ergänzen Sie dem Screenshot nach:

  • Unter Darstellung / Name geben Sie Warnung ein.
  • Wählen Sie die Schablone Main_Template aus.

Diese wurde vom Projekt-Wizard automatisch generiert.

  • In der Detail-Ansicht des Projektmanagers erscheint nun Ihr Bild Warnung.
  • Öffnen Sie es mit einem Doppelklick.


Text

Online Sprachumschaltung -> Texte umschalten -> Bild mit Text erstellen -> Text

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Im Pulldown-Menü wählen Sie das Vekt. Element Text und ziehen Sie es mit der Maus in Ihr Bild Warnung.

Im Bild kann nun das Element: Text in der gewünschten Größe gezeichnet werden.

Konfigurieren Sie nun das Textfeld im Eigenschaften-Fenster:

  • Unter Darstellung / Text geben Sie @Temperaturüberschreitung! ein.

info Info

Das @ zeigt an, dass der nachfolgende Text sprachumschaltbar ist.

Diese Texte werden in Leitsystem als Schlüsselwörter bezeichnet.


Sprachtabelle

Online Sprachumschaltung -> Texte umschalten -> Sprachtabelle

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Was wird gemacht?

Sprachtabelle | Eine Spalte Holländisch wird in der Sprachtabelle angelegt.
 | Die verwendeten Texte werden ins Holländische übersetzt und in die Sprachtabelle eingetragen.

Noch in diesem Kapitel

Sprachtabelle


Sprachtabelle

Online Sprachumschaltung -> Texte umschalten -> Sprachtabelle -> Sprachtabelle

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Im Projektmanager öffnen Sie das Kontextmenü von Sprachtabelle.
  • Wählen Sie Sprachtabelle neu.
  • In der sich öffnenden Dialogbox geben Sie Holländisch ein.
  • Betätigen Sie mit OK.
  • Klicken Sie in die Zellen der Tabelle und ergänzen Sie dem Screenshot nach:

  • Im Kontextmenü der Tabelle wählen Sie Speichern.

info Info

Um die Einträge der Sprachtabelle zu speichern, wählen Sie im Kontextmenü Speichern!

Wenn Sie in eine andere Tabellenzeile wechseln, werden die Einträge automatisch gespeichert.

info Info

Das Ordnungskriterium der Sprachtabelle sind Schlüsselwörter in alphabethischer Reihenfolge. Neue Einträge werden an der richtigen Stelle eingereiht, sobald die Tabelle neu gestartet wird.

Durch Klicken auf den Tabellenkopf lässt sich im Kontextmenü die entsprechende Spalte auf- und absteigend sortieren.

Es besteht die Möglichkeit die Funktionen Suchen und Ersetzen zu nutzen.

info Info

Das Schlüsselwort in der Sprachtabelle muss mit dem Schlüsselwort im Projekt übereinstimmen (keine führenden Leerzeichen, Groß -und Kleinschreibung beachten etc.).


Funktion 'Bildumschaltung'

Online Sprachumschaltung -> Texte umschalten -> Funktion 'Bildumschaltung'

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Was wird gemacht?

Funktion Bildumschaltung | Im Bild Button_Bar wird ein Button für die Bildumschaltung auf das Bild Warnung erstellt.
 | Eine Funktion für die Bildumschaltung wird erstellt und mit dem Button verknüpft.

Noch in diesem Kapitel

Funktion Bildumschaltung


Funktion Bildumschaltung

Online Sprachumschaltung -> Texte umschalten -> Funktion 'Bildumschaltung' -> Funktion Bildumschaltung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  1. Öffnen Sie das Bild Button_Bar.
  2. In der Dropdownliste wählen Sie das Dynamische Element Text Button.
  3. Ziehen Sie den Button mit der Maus in Ihr Bild Button_Bar.
  4. Im Bild kann nun der Button in der gewünschten Größe gezeichnet werden.

info Info

Sie können auch einfach den bestehenden Button Main Window kopieren und dann wie folgt konfigurieren.
  1. Klicken Sie auf den Button.
  2. Im Eigenschaften-Fenster geben Sie unter Darstellung / Name @Warnung ein.
  3. Im Projektmanager öffnen Sie das Kontextmenü von Funktionen.
  4. Wählen Sie Funktion neu.

    Die Auswahlbox für Funktionen öffnet sich automatisch.

  5. Unter Bild- Funktionen wählen Sie Bildumschaltung.
  6. In der sich öffnenden Dialogbox Bild auswählen wählen Sie Warnung.
  7. Verknüpfen Sie diese Funktion mittels Drag & Drop mit dem Button.

info Info

Sie können auch im Eigenschaften-Fenster des Buttons unter Runtime / Funktion diese Funktion verknüpfen.


Buttons

Online Sprachumschaltung -> Texte umschalten -> Buttons

Was wird gemacht?

Bitmap-Button | Zwei Bitmap-Buttons im Flaggen-Design werden erstellt.
Grafiken | Die Grafiken der Flaggen werden in den Editor eingefügt.
Funktion Sprachumschaltung | Die Flaggen werden mit den Funktionen: Sprachumschaltung: Holländisch und Sprachumschaltung: Deutsch verknüpft.

Noch in diesem Kapitel

Bitmap Button

Grafik

Funktion Sprachumschaltung


Bitmap Button

Online Sprachumschaltung -> Texte umschalten -> Buttons -> Bitmap Button

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • In der Dropdownliste unter Elemente, wählen Sie Bitmap-Button.
  • Ziehen Sie zwei davon in Ihr Bild Warnung.


Grafik

Online Sprachumschaltung -> Texte umschalten -> Buttons -> Grafik

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Im Projektmanager unter Datei / Grafik können Sie im Kontextmenü eine Grafik hinzufügen.
  • Fügen Sie z.B. eine holländische und eine österreichische Flagge ein.
  • In der Detailansicht des Projektmanagers erscheinen nun diese beiden Grafiken.
  • Verknüpfen Sie diese mittels Drag&Drop.


Funktion Sprachumschaltung

Online Sprachumschaltung -> Texte umschalten -> Buttons -> Funktion Sprachumschaltung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

info Info

Die Funktion Sprachumschaltung wechselt zur Runtime die gewünschten Sprachumschaltungs-Textlisten aus.
  • Im Projektmanager wählen Sie im Kontextmenü von Funktion Funktion neu.
  • Wählen Sie die Anwendung-Funktion Sprachumschaltung.
  • Ergänzen Sie die Dialogbox dem Screenshot nach:

  • Unter Textliste wählen Sie Holländisch.txt.
  • Unter Schriftliste wählen Sie Schriftliste 1.

Example Beispiel

Erstellen Sie eine weitere Funktion Sprachumschaltung für Deutsch mit der Textliste zenonStr.txt.
  • Verknüpfen Sie die Bitmap-Buttons im Flaggen Design mit der jeweiligen Funktion Sprachumschaltung . (Drag und Drop)

info Info

Sie sind nun in der Lage Texte in jede beliebige Sprache mit westlichem Schriftsatz umzuschalten.


Runtime

Online Sprachumschaltung -> Texte umschalten -> Runtime

Was wird gemacht?

Runtime

Die Runtime wird gestartet und die Sprachumschaltung getestet.

Die Runtime kann mit der Tastenkombination ALT + F4 beendet werden.


Asiatische Zeichensätze

Online Sprachumschaltung -> Asiatische Zeichensätze

Was wird gemacht?

Sprachumschaltung: Unicode | Ein Text und eine Buttonbeschriftung sollen online sprachumschaltbar sein.
 | Diesmal in eine asiatische Sprache mit asiatischem Zeichensatz.
 | Das Umschalten zwischen Deutsch und Japanisch soll möglich sein.
 | Die Umschaltung soll mittels Buttons mit Flaggen-Design der jeweiligen Länder erfolgen.

Noch in diesem Kapitel

Schriften und Schriftlisten

Texte

Japanisch

Funktion 'Sprachumschaltung'

Runtime


Schriften und Schriftlisten

Online Sprachumschaltung -> Asiatische Zeichensätze -> Schriften und Schriftlisten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Was wird gemacht?

Schriftenlisten | Definieren der Schriften für Westliche und Japanische Schrift.
Schriften | Definieren der Schriftarten (Westlich und Unicode).
 | Eine Schriftart für die Buttonbeschriftung wird ausgewählt.
 | Eine Schriftart für den Text wird ausgewählt.

Noch in diesem Kapitel

Schriftliste

Schrift


Schriftliste

Online Sprachumschaltung -> Asiatische Zeichensätze -> Schriften und Schriftlisten -> Schriftliste

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

<<-zenonBoxStart=INFO->>

<<-zenonBoxEnd=INFO->>

info Info

Wenn man im Editor Asiatische Zeichen verwenden möchte. Muss man diese zuvor in der Windowseinstellung aktivieren:

Systemsteuerung / Regions- und Sprachoptionen / Sprachen / Datei für ostasiatische Zeichen installieren.

Zunächst müssen zwei unterschiedliche Schriftenlisten erstellt werden. Die Schriftenliste für das Deutsche im Westlichen Format, die für das Japanische in Unicode.

  • Öffnen sie den Eintrag Bilder / Schriften.
  • Öffnen sie im Kontextmenü Schriftliste neu.

Im Detail-Fenster des Projektmanagers werden nun zwei Schriftlisten angezeigt.

Diese können im Eigenschaften-Fenster parametriert werden.

  • Klicken Sie auf die Tabellenüberschrift Schriftliste 1.
  • Im Eigenschaften-Fenster wird die Schriftliste 1 in Deutsch umbenannt.

Example Beispiel

Vergeben Sie den Namen Japanisch für die Schriftliste 2.


Schrift

Online Sprachumschaltung -> Asiatische Zeichensätze -> Schriften und Schriftlisten -> Schrift

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Öffnen Sie das Kontextmenü der Schriftliste Deutsch.

Nun kann eine Schriftart gewählt werden:

  • Ergänzen Sie dem Screenshot nach:

  • Wählen Sie Schriftart, Schriftschnitt, Schriftgrad.
  • Bei Skript wählen Sie Westlich.
  • Im Eigenschaften-Fenster der Schriftliste Deutsch können Sie die Schrift in Button-Schrift umbenennen.

Example Beispiel

Definieren Sie eine weitere Schriftart Arial Unicode MS, Schriftschnitt, Schriftgrad ihrer Wahl und Skript Unicode für die Japanische Schriftliste.

Es wird noch eine zweite Schrift für die Texte in der Runtime definiert:

  • Wählen sie hier einen kleineren Schriftgrad (z.B. 8)
  • Im Eigenschaften-Fenster unter Allgemein / Name können Sie diese Schrift nun Text-Schrift nennen.

Mit unseren Angaben sieht das Detail-Fenster nun wie folgt aus:


Texte

Online Sprachumschaltung -> Asiatische Zeichensätze -> Texte

Was wird gemacht?

Text | Ein Vektor Element Text wird erstellt.
Text Button | Ein Dynamisches. Element Text Button wird erstellt.

Noch in diesem Kapitel

Text


Text

Online Sprachumschaltung -> Asiatische Zeichensätze -> Texte -> Text

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Wählen Sie das Vekt. Element Text und ziehen Sie es mit der Maus in Ihr Main_Picture.
  • Im Main_Picture kann nun das Element: Text in der gewünschten Größe gezeichnet werden.

Konfigurieren Sie nun das Textfeld im Eigenschaften-Fenster:

  • Klicken Sie auf das Textfeld.
  • Wählen Sie unter Darstellung / Schrift die definierte Text-Schrift.
  • Unter Text schreiben Sie @Fehler bei Kommunikation zur SPS.


Japanisch

Online Sprachumschaltung -> Asiatische Zeichensätze -> Japanisch

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Was wird gemacht?

Sprachtabellen | Die Sprachtabelle Japanisch wird hinzugefügt.
Texte | Die Texte werden in die Sprachtabelle eingefügt.

Noch in diesem Kapitel

Sprachtabelle

Text Button


Sprachtabelle

Online Sprachumschaltung -> Asiatische Zeichensätze -> Japanisch -> Sprachtabelle

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Im Projektmanager wählen Sie den Eintrag Sprachtabelle.

Example Beispiel

Erzeugen Sie eine weitere Tabelle mit dem Namen Japanisch.

Nun können die Begriffe in die Tabelle eingetragen werden, die sprachumschaltbar sein sollen.

Die Spalte zenonStr.txt wird automatisch angelegt.

info Info

Eine grüne Schriftfarbe der Spaltenüberschrift markiert jene Sprache, die im Editor als Standardsprache gewählt wurde. So kann bereits im Editor überprüft werden, ob beispielsweise die Wortlänge die Textfeldlänge nicht überschreitet, ohne dass dafür die Runtime gestartet werden muss.

Änderungen können im Kontextmenü der Spaltenüberschriften unter Sprachdatei für Editor vorgenommen werden.

info Info

Es besteht die Möglichkeit für die einzelnen Sprachen der Sprachtabelle unterschiedliche Schriftarten zu wählen. Diese Schriftart wird in der Sprachtabelle angezeigt. Dazu öffnen Sie in der entsprechenden Spaltenüberschrift das Kontextmenü und wählen Schriftart aus.


Text Button

Online Sprachumschaltung -> Asiatische Zeichensätze -> Japanisch -> Text Button

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Ziehen Sie ein Dyn. Element Text Button in Ihr Main_Picture.
  • Im Eigenschaften-Fenster schreiben Sie zu Text Zeile 1 @Alarm.
  • Wählen Sie unter Darstellung / Schrift Button-Schrift.


Funktion 'Sprachumschaltung'

Online Sprachumschaltung -> Asiatische Zeichensätze -> Funktion 'Sprachumschaltung'

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Was wird gemacht?

Bitmap | Japanische und Österreichische Flagge als Buttons für die Sprachumschaltung
Funktion | Eine Funktion Sprachumschaltung wird angelegt.
 | Verknüpfung der Funktion mit den Flaggen-Buttons

Noch in diesem Kapitel

Bitmap Button

Funktion Sprachumschaltung


Bitmap Button

Online Sprachumschaltung -> Asiatische Zeichensätze -> Funktion 'Sprachumschaltung' -> Bitmap Button

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Ergänzen Sie ihr Main_Picture um zwei neue Dynamische Elemente vom Typ Bitmap-Button.
  • Im Projektmanager öffnen Sie Dateien / Grafiken.
  • Im Kontextmenü wählen Sie Datei hinzufügen.

info Info

Die japanische und eine z.B. deutsche Flagge finden Sie als .gif-Format im Demo-Projekt auf der Leitsystem CD unter Overview/Custom/Graphics.


Funktion Sprachumschaltung

Online Sprachumschaltung -> Asiatische Zeichensätze -> Funktion 'Sprachumschaltung' -> Funktion Sprachumschaltung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Öffnen Sie im Kontextmenü von Funktion: Funktion neu.
  • Wählen Sie die Anwendung - Funktion Sprachumschaltung.

Folgende Dialogbox erscheint:

  • Unter Textliste wählen Sie zenonStr.txt aus.
  • Als Schriftliste wählen Sie Deutsch.

Example Beispiel

Erstellen Sie eine weitere Funktion Sprachumschaltung.

Wählen Sie Japanisch.

  • Mittels Drag&Drop kann die Funktion mit dem jeweiligen Flaggen-Button verknüpft werden.

Mit unseren Angaben sieht das Main_Picture wie folgt aus:


Runtime

Online Sprachumschaltung -> Asiatische Zeichensätze -> Runtime

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Was wird gemacht

Runtime

Die Runtime wird gestartet.

Noch in diesem Kapitel

Runtime


Runtime

Online Sprachumschaltung -> Asiatische Zeichensätze -> Runtime -> Runtime

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Testen Sie Ihre Sprachumschaltung in der Runtime.

info Info

Sie sind nun in der Lage sämtliche Texte in jede beliebige Sprache umzuschalten!


Chronologische Ereignisliste

Online Sprachumschaltung -> Chronologische Ereignisliste

Was wird gemacht?

Chronologische Ereignisliste

Ein Bild des Bildtyps Chronologische Ereignisliste inklusive aller Systemmeldungen wird sprachumschaltbar gemacht.

Noch in diesem Kapitel

CEL anlegen

Funktion 'Sprachumschaltung'

Systemmeldungen

Runtime


CEL anlegen

Online Sprachumschaltung -> Chronologische Ereignisliste -> CEL anlegen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Was wird gemacht?

Chronologische Ereignisliste | Ein Bild des Bildtyps Chronologische Ereignisliste wird angelegt.
 | Ein Button wird mit einer Funktion Bildumschaltung auf CEL verknüpft.

Noch in diesem Kapitel

CEL


CEL

Online Sprachumschaltung -> Chronologische Ereignisliste -> CEL anlegen -> CEL

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Im Projektmanager unter Bilder wählen Sie Bilder neu.

    Ein Picture_0 wird automatisch angelegt und kann im Eigenschaften Fenster konfiguriert werden.

  • Ergänzen Sie dem Screenshot nach:

  • Wählen Sie den Bildtyp Chronologische Ereignisliste aus.
  • Vergeben Sie den Namen CEL.
  • Als Schablone dient das Main_Template.
  • Öffnen Sie das Bild der Chronologischen Ereignisliste.
  • Im Pulldown-Menü wählen Sie unter Kontrollelemente Vorlage einfügen ...

Nach Wahl einer Vorlage werden Standard-Elemente automatisch ins Bild CEL eingefügt.


Funktion 'Sprachumschaltung'

Online Sprachumschaltung -> Chronologische Ereignisliste -> Funktion 'Sprachumschaltung'

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Was wird gemacht?

Sprachumschaltung | Die Spaltenüberschriften der CEL werden sprachumschaltbar gemacht.
Texte und Buttons | Die Default-Einträge der CEL (Texte und Buttons) werden mit den jeweiligen Schriften verknüpft und sprachumschaltbar gemacht.
Bitmap-Buttons | Die Bitmap-Buttons im Flaggen-Design werden inklusive Funktion Sprachumschaltung in das Bild CEL kopiert.

Noch in diesem Kapitel

CEL-Verwaltung

Texte und Buttons

Bitmap-Buttons


CEL-Verwaltung

Online Sprachumschaltung -> Chronologische Ereignisliste -> Funktion 'Sprachumschaltung' -> CEL-Verwaltung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Im Projektmanager öffnen Sie das Kontextmenü Ihres Projektes.
  • Wählen Sie CEL Verwaltung, Registerkarte Eintrag in der Liste.

Hier haben Sie die Möglichkeit, die Spalten-Titel der CEL sprachumschaltbar zu machen.

  • Ergänzen Sie dem Screenshot nach:

  • Kennung aktivieren.
  • @ vor alle aktivierten Einträge.

attention Achtung

Es ist nur die Kennung der Variable sprachumschaltbar, nicht der Name.

Es ist der Name, der die Variable eindeutig identifiziert. Die gleiche Kennung kann oftmals vergeben werden, der Name muss einzigartig im Projekt sein!


Texte und Buttons

Online Sprachumschaltung -> Chronologische Ereignisliste -> Funktion 'Sprachumschaltung' -> Texte und Buttons

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Öffnen Sie das Bild CEL.
  • Klicken Sie in das Text Feld der CEL.
  • Im Eigenschaften-Fenster unter Darstellung / Schrift wählen Sie Text-Schrift aus.

info Info

Wählen Sie für sämtliche Texte im Bild CEL die Schrift Text-Schrift.

Eine Massenbearbeitung ist möglich: Markieren mit der Tastenkombination Strg + A bzw. Shift + Mausklick möglich.

  • Im Eigenschaften-Fenster geben Sie vor alle Namen von Texten oder Buttons die sie in der CEL auswählen ein @ ein.

Example Beispiel

Machen Sie die restlichen Buttons im Bild CEL sprachumschaltbar (Sortieren, Filter, Drucken, Stop, Schließen.)

Weisen Sie die Button-Schrift zu.

Ergänzen Sie die Sprachtabelle.


Bitmap-Buttons

Online Sprachumschaltung -> Chronologische Ereignisliste -> Funktion 'Sprachumschaltung' -> Bitmap-Buttons

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Die beiden Bitmap-Buttons im Flaggen-Design und der Funktion Sprachumschaltung werden in die CEL kopiert.

  • Im Main_Picture markieren Sie die Bitmap-Buttons und kopieren Sie.
  • Im Eigenschaften-Fenster unter Darstellung / Schrift wählen Sie Text-Schrift aus.
  • Fügen Sie die Bitmap-Buttons im Bild CEL ein (verknüpfte Funktionen werden mitkopiert).


Systemmeldungen

Online Sprachumschaltung -> Chronologische Ereignisliste -> Systemmeldungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Was wird gemacht?

Funktion Bildumschaltung | Die Button_Bar wird um einen Button CEL erweitert, der mit einer Funktion Bildumschaltung auf CEL verknüpft wird.
Systemmeldungen übersetzen | Die Sprachtabelle um die Systemmeldungen ergänzt.

Noch in diesem Kapitel

Funktion - Bildumschaltung

Systemmeldungen übersetzen


Funktion - Bildumschaltung

Online Sprachumschaltung -> Chronologische Ereignisliste -> Systemmeldungen -> Funktion - Bildumschaltung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Um ein Umschalten zwischen den einzelnen Bildern online zu ermöglichen, müssen Bildumschaltfunktionen angelegt werden.

  • Im Projektmanager wählen Sie im Kontextmenü von Funktionen Funktion neu.
  • Wählen Sie die Bild-Funktion Bildumschaltung.
  • Als zugewiesenes Bild wählen Sie CEL.

Im Bild Button Bar wird nun ein Button für die Bildumschaltung auf die CEL angelegt:

  • Erstellen Sie einen Button (entweder als dynamisches Element oder indem Sie den Button Main Window kopieren).
  • Konfigurieren Sie den Button im Eigenschaften-Fenster.

Die Button-Beschriftung CEL soll sprachumschaltbar sein.

  • Ergänzen Sie dem Screenshot nach:

  • Unter Darstellung / Schrift wählen Sie die Button-Schrift aus.
  • Unter Darstellung / Text geben Sie @CEL ein.
  • Unter Runtime / Funktion wählen Sie die Funktion: Bildumschatung-CEL aus.

info Info

Sie können die Funktion auch mittels Drag&Drop zuordnen.


Systemmeldungen übersetzen

Online Sprachumschaltung -> Chronologische Ereignisliste -> Systemmeldungen -> Systemmeldungen übersetzen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Für alle Texte, die standardmäßig in der Runtime angezeigt werden, gibt es vordefinierte Schlüsselwörter.

info Info

Für eine individuelle Übersetzung der vordefinierten Schlüsselwörter:

Eine Excel-Liste der Schlüsselwörter findet sich auf der Installations-CD im Verzeichnis Predefined / CEL Keywords

  • Die zu übersetzenden Texte müssen in die Sprachtabelle kopiert werden.

Prinzip der Schlüsselwortübersetzung

Die Tabellen arbeiten nach dem Prinzip der Schlüsselwörter, welche der entsprechenden Übersetzung zugeordnet werden. Diese Schlüsselwörter sind immer durch ein @ gekennzeichnet.

Wobei gilt:

@Text

Der gesamte Text wird übersetzt.

Text@

Der Text wird nicht übersetzt.

@Text@

Der Text zwischen den @ wird übersetzt.

Hier gilt: Nach einer ungeraden Anzahl von @ wird der Text übersetzt (man Beginnt am Anfang des Eintrags zu zählen):

z.B. der Text zwischen dem ersten und dem zweiten @ wird übersetzt, der zwischen dem zweiten und dritten @ nicht!

info Info

Ein Aneinanderketten von Textelementen, die übersetzte werden und solchen, die nicht übersetzt werden, ist möglich: @Der Benutzer@ Huber @wird ausgeloggt.

@Text1@Text2@Text3

Text 1 und Text 3 werden übersetzt, Text 2 nicht.

info Info

Beim Einfügen der Einträge in die Sprachtabelle gilt: pro @ werden Pakete gebildet und diese müssen einzeln in die Sprachtabelle eingetragen werden. Pro @ also ein Eintrag!

@Der Benutzer@ Huber @wird ausgeloggt

In der Sprachtabelle müssen zwei Einträge gemacht werden: Der Benutzer und wird ausgeloggt.

Das neue Schlüsselwort kann auch direkt in die Sprachtabelle eingetragen werden. Hier gilt: In der Sprachtabelle werden Schlüsselworte ohne @ eingetragen bzw. wird das @ automatisch entfernt.

info Info

Für die Sprachtabelle gilt: Das vordefinierte Schlüsselwort ist vom Programm vorgegeben und abhängig von der eingestellten Sprache der Runtime. Die Sprache der Runtime wird über den Editor eingestellt oder in der zenon6.ini unter LANGUAGE=.

z.B.: Bei englischer Runtime werden englische Schlüsselwörter verwendet.

info Info

Die Buttonbeschriftung in den Dialogfenstern (z.B. OK, Abbruch) sind abhängig vom verwendeten Betriebssystem.


Runtime

Online Sprachumschaltung -> Chronologische Ereignisliste -> Runtime

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Was wird gemacht?

Runtime

Das Projekt wird in der Runtime gestartet.

info Info

Eine wesentliche Arbeitserleichterung bringt in diesem Fall der Sprachumschaltung der System Text Wizard.


Alarme

Online Sprachumschaltung -> Alarme

Was wird gemacht?

Alarmmeldeliste

Eine Bild des Bildtyps Alarm und deren Einträge werden sprachumschaltbar gemacht.

Noch in diesem Kapitel

Variable mit Grenzwert

Alarmlistenbild

Alarmliste

Runtime


Variable mit Grenzwert

Online Sprachumschaltung -> Alarme -> Variable mit Grenzwert

Was wird gemacht?

Variable | Eine Variable wird angelegt.
 | Der Variable werden Grenzwerte zugewiesen.

Noch in diesem Kapitel

Variable


Variable

Online Sprachumschaltung -> Alarme -> Variable mit Grenzwert -> Variable

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Eine Variable Füllstand wird erstellt.

  • Im Projektmanager wählen Sie im Kontextmenü von Variable Variable neu.
  • Ergänzen Sie dem Screenshot nach

  • Vergeben Sie den Variablennamen Füllstand.
  • Verwenden Sie den Simulatortreiber.
  • Als Treiber Objekttyp wählen Sie SPS-Merker.
  • Als Datentyp wählen Sie USINT.

Nun werden der Variablen Grenzwerte zugewiesen:

  • Öffnen Sie das Eigenschaften-Fenster der Variable.
  • Unter Grenzwerte kann mit der rechten Maustaste Grenzwerte einfügen gewählt werden.

Ein neuer Grenzwert [1] wird erstellt und kann parametriert werden.

  • Ergänzen Sie dem Screenshot nach:

  • Wählen Sie den Offset 20.
  • Aktivieren sie in CEL und als Alarm.
  • Setzen Sie den Grenzwert auf 1000.
  • Als Grenzewerttext verwenden Sie @Tank fast leer! (dieser Text soll sprachumschaltbar sein!).
  • Unter Minimum / Maximum wählen Sie Minimum.


Alarmlistenbild

Online Sprachumschaltung -> Alarme -> Alarmlistenbild

Was wird gemacht?

Bild Alarmmeldeliste | Ein Bild des Bildtyps Alarm wird angelegt.
 | Ein Button wird mit einer Funktion Bildumschaltung auf AML verknüpft.
Dynamisches Element | Das Bild AML wird durch ein Dynamisches Element Bargraf erweitert.

Noch in diesem Kapitel

Bild


Bild

Online Sprachumschaltung -> Alarme -> Alarmlistenbild -> Bild

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  1. Legen Sie ein neues Bild AML an.
  2. Im Eigenschaften-Fenster definieren Sie unter Allgemein / Bildtyp Alarm.
  3. Legen Sie im Bild Button-Bar einen Button AML an.
  4. Verknüpfen Sie diesen mit einer Funktion Bildumschaltung auf AML.
  5. Öffnen Sie das Bild AML.
  6. Klicken im Menü Kontrollelemente auf Vorlage einfügen.
  7. Der Dialog zur Auswahl einer Vorlage wird geöffnet.
  8. Wählen Sie die gewünschte Vorlage aus.
  9. Die Vorlage wird eingefügt.

  10. Ziehen Sie ein Dynamisches Element Bargraf in Ihr Bild vom Typ AML.
  11. Verknüpfen Sie den Bargraf mit der Variable Füllstand.


Alarmliste

Online Sprachumschaltung -> Alarme -> Alarmliste

Was wird gemacht?

Alarmverwaltung | Die Spaltenüberschriften der Alarmmeldeliste werden sprachumschaltbar gemacht.
Texte und Buttons | Die Default-Einträge der AML (Texte und Buttons) werden mit den jeweiligen Schriften verknüpft und sprachumschaltbar gemacht.
Sprachtabelle | Die Sprachtabelle wird mit den neuen Einträgen aktualisiert.
Bitmap-Buttons | Die Bitmap-Buttons im Flaggen-Design und mit der Funktion Sprachumschaltung werden in das Bild AML kopiert.

Noch in diesem Kapitel

Alarmverwaltung

Texte und Buttons

Sprachtabelle

Bitmap-Buttons


Alarmverwaltung

Online Sprachumschaltung -> Alarme -> Alarmliste -> Alarmverwaltung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Öffnen Sie das Kontextmenü Ihres Projektes und wählen Sie Alarm Verwaltung.
  • Im Register Eintrag in die Liste ergänzen Sie alle aktiven Einträge mit einem @:


Texte und Buttons

Online Sprachumschaltung -> Alarme -> Alarmliste -> Texte und Buttons

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Texte und Buttons mit den jeweiligen Schriften verknüpfen.
  • Im Eigenschaften-Fenster geben sie vor alle Namen von Texte und Buttons ein @ ein.


Sprachtabelle

Online Sprachumschaltung -> Alarme -> Alarmliste -> Sprachtabelle

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Aktualisieren Sie die Einträge in der Sprachtabelle.
    z.B.


Bitmap-Buttons

Online Sprachumschaltung -> Alarme -> Alarmliste -> Bitmap-Buttons

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Kopieren Sie die Bitmap-Buttons im Flaggen Design inklusive Funktion Sprachumschaltung in Ihr Bild AML.


Runtime

Online Sprachumschaltung -> Alarme -> Runtime

Was wird gemacht?

Runtime

Die Runtime wird gestartet.

Noch in diesem Kapitel

Runtime


Runtime

Online Sprachumschaltung -> Alarme -> Runtime -> Runtime

  • Starten Sie die Runtime

info Info

Sie sind nun in der Lage, CEL und AML anzulegen und auch diese online sprachumschaltbar zu machen!


Technische Einheiten

Online Sprachumschaltung -> Technische Einheiten

Was wird gemacht?

Einheiten

Gleichzeitig mit der Sprachumschaltung soll der Wert einer Variablen von einer Einheit in eine andere umgerechnet werden.

Noch in diesem Kapitel

Reports

Bild anlegen

Report ausführen

Runtime


Reports

Online Sprachumschaltung -> Technische Einheiten -> Reports

Was wird gemacht?

Sprachtabelle | Die Sprachtabelle wird um die Spalte Englisch erweitert.
Report | Zwei Reports werden angelegt: Liter und Gallons.
 | Die Reports werden mit der Umrechnungsformel verknüpft.

Noch in diesem Kapitel

Einheiten

Sprachtabelle

Report


Einheiten

Online Sprachumschaltung -> Technische Einheiten -> Reports -> Einheiten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Nachdem Maße wie Länge, Gewicht, Hohlmaße oder Temperaturen in unterschiedlichen Einheiten gemessen werden können, ist dieses Faktum bei der Sprachumschaltung zu berücksichtigen.

Der Wert von Variablen wird mit einer Umrechungsformel verknüpft, sodass dieser bei der Sprachumschaltung in die richtige Einheit umgerechnet wird.

attention Achtung

Funktioniert nicht unter Windows CE.

Die Realisierung erfolgt mit dem Report Generator, der unter CE nicht zur Verfügung steht!


Sprachtabelle

Online Sprachumschaltung -> Technische Einheiten -> Reports -> Sprachtabelle

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Legen Sie eine neue Sprachtabelle Englisch an.
  • Ergänzen Sie die englischen Übersetzungen der Einträge (Füllstand, Fill Level etc.).
  • Tragen Sie außerdem einen Eintrag Liter ein, den sie mit Gallons übersetzen.
  • Legen Sie eine Funktion Sprachumschaltung auf Englisch an.


Report

Online Sprachumschaltung -> Technische Einheiten -> Reports -> Report

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Öffnen Sie die Variable Füllstand, die im Projekt 4 angelegt wurde.
  • Im Eigenschaften-Fenster unter Bezeichnung / Einheit geben Sie @Liter ein.
  • Im Projektmanager legen Sie zwei neue Reports an.
  • Vergeben Sie die Namen Liter und Gallons.

Bei Doppelklick auf die Reports in der Detail-Ansicht des Projektmanagers öffnen sich die jeweiligen Tabellen.

Der Report Liter.xrs muss wie folgt konfiguriert werden:

  • Klicken Sie auf das Feld A1 und öffnen Sie das Kontextmenü.
  • Wählen Sie Funktionen.
  • Unter Funktionen wählen Sie variablerw (Doppelklick).
  • Drücken Sie auf den Button Variable.
  • Wählen Sie Füllstand (entweder Doppelklick oder mit Hinzufügen).

Diese Variable wurde im Projekt 3 erstellt.

  • Unter Parameter wählen Sie mmin (Doppelklick).

Folgender Text erscheint: =variablerw(Füllstand,mmin,0)

  • Klicken Sie auf das Feld A2.
  • Gehen Sie vor wie bei A1, wählen Sie diesmal mmax .

Folgender Text erscheint: =variablerw(Füllstand,mmax,255)

Example Beispiel

Konfigurieren Sie den Report Gallons.xrs nach demselben Prinzip. Hier lautet die Formel:

Gallons = Liter * 0.26

Das Minimum liegt also bei 0, das Maximum bei 66,3. (255*0.26)


Bild anlegen

Online Sprachumschaltung -> Technische Einheiten -> Bild anlegen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Was wird gemacht?

Bild | Ein Bild Füllstand wird angelegt.
 | Eine Funktion Bildumschaltung auf dieses Bild wird angelegt.
 | Diese Funktion wird mit einem Button verknüpft.

Noch in diesem Kapitel

Bild


Bild

Online Sprachumschaltung -> Technische Einheiten -> Bild anlegen -> Bild

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com
  • Legen Sie eine neue Schablone Füllstand an: links=210, oben=27, rechts=1024, unten=676.
  • Erstellen Sie ein neues Bild Füllstand.
  • Legen Sie eine Funktion Bildumschaltung auf das Bild Füllstand an.
  • Legen Sie im Bild Button-Bar einen weiteren Text-Button an.
  • Verknüpfen Sie die Funktion mit dem Text-Button.

Example Beispiel

Versehen Sie das Bild mit der Überschrift Füllstand.

(Vekt. Element Text, Text Schrift, Text sprachumschaltbar)

  • Im Bild Füllstand legen Sie ein Dyn. Element Zahlenwert an.
  • Verknüpfen Sie den Zahlenwert mit der Variable Füllstand.
  • In der Sprachtabelle übersetzen Sie das deutsche Wort Liter im Englischen mit Gallons.
  • Legen Sie ein Vekt. Element Text in Ihr Bild Füllstand.
  • Verknüpfen Sie es mit der Textschrift.
  • Unter Darstellung / Text geben Sie @Füllstand ein.
  • Legen Sie zwei Bitmap-Buttons an.
  • Verknüpfen Sie diese Buttons z.B. mit der amerikanischen bzw. der österreichischen Flagge.

Example Beispiel

Legen Sie noch einen Button ins Bild, den Sie mit einer Funktion Bildumschaltung auf das Main_Picture verknüpfen. Vergeben Sie den sprachumschaltbaren Namen Zurück.


Report ausführen

Online Sprachumschaltung -> Technische Einheiten -> Report ausführen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Was wird gemacht?

Skripte

Die Funktion Sprachumschaltung und die Report-ausführen-Funktion werden unter einem Skript zusammengefasst.

Noch in diesem Kapitel

Skripte


Skripte

Online Sprachumschaltung -> Technische Einheiten -> Report ausführen -> Skripte

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

info Info

Skripte dienen der Verwaltung mehrerer Funktionen.

Unsere Bitmap-Buttons im Flaggen-Design sollen nun nicht mehr nur die Sprache umschalten, sondern zusätzlich Einheiten umrechnen.

Dazu müssen zwei Funktionen mit einem Button verknüpft werden. Dies geschieht mithilfe von Skripten.

  • Legen Sie zunächst eine neue Funktion Report ausführen an.
  • Wählen Sie Liter.xrs.

Example Beispiel

Verknüpfen Sie eine weitere Funktion mit dem Report Gallons.xrs.

  • Im Projektmanager unter Funktionen / Skripte legen Sie ein neues Skript an.
  • Nennen Sie es Liter.
  • Im Detail-Fenster des Projektmanagers öffnen Sie im Kontextmenü von Liter.
  • Verknüpfen Sie das Skript Liter mit den Funktionen Sprachumschaltung Deutsch und Reports ausführen - Liter.xrs.

Example Beispiel

Legen Sie eine Skript Gallons an, die die beiden Funktionen Sprachumschaltung Englisch und Reports-ausführen-Gallons.xrs verknüpft.

Example Beispiel

Legen Sie zwei neue Funktionen Skript ausführen an jeweils für Liter und Gallons. Verknüpfen sie diese Funktionen mit den Bitmap-Buttons.

  • Öffnen Sie das Main_Picture und verknüpfen Sie die Flaggen mit dem jeweiligen Skript.


Runtime

Online Sprachumschaltung -> Technische Einheiten -> Runtime

Was wird gemacht?

Runtime

Das Projekt wird im Runtime-Modus getestet.

  • Starten Sie die Runtime.
  • Beim Klicken auf die amerikanische Flagge, wird der Wert des Füllstandes von Liter in Gallons umgerechnet, und die Anzeige der Einheit im Textfeld wird übereingestimmt.

info Info

Sie sind nun in der Lage, die Einheiten von Werten umzurechnen zu lassen und gemeinsam mit der Sprachumschaltung auch die Einheit umzuschalten. Sie haben Einblick in den Umgang mit Reports erhalten und wissen nun, wozu Skripte verwendet werden!


Wizards

Online Sprachumschaltung -> Wizards


Pfade für Sprachen

Online Sprachumschaltung -> Pfade für Sprachen

Noch in diesem Kapitel

Sprachumschaltung der Runtime-Hilfe/Listenpfad/Mediendateien


Sprachumschaltung der Runtime-Hilfe/Listenpfad/Mediendateien

Online Sprachumschaltung -> Pfade für Sprachen -> Sprachumschaltung der Runtime-Hilfe/Listenpfad/Mediendateien

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. Sollten Sie Fragen oder Anregungen zur Dokumentation haben, wenden Sie sich bitte an: documentation@copadata.com

Bei der Funktion Sprachumschaltung kann der entsprechende Ordner ausgewählt werden:

Für Runtime-Hilfe, Listenpfad und Mediendateien, die sprachumschaltbar gemacht werden sollen gilt: Die Dateien müssen in den unterschiedlichen Sprachen denselben Namen haben und in verschiedenen Ordnern abgelegt sein.


Testfragen zur Selbstkontrolle

Online Sprachumschaltung -> Testfragen zur Selbstkontrolle

Welches Zeichen muss benutzt werden um Texte sprachumschaltbar zu machen?


Aufgaben zur Selbstkontrolle

Online Sprachumschaltung -> Aufgaben zur Selbstkontrolle

Example Beispiel

Erzeugen Sie eine Bild mit Text und Button, das Sie ins Arabische sprachumschaltbar machen.

Example Beispiel

Gleichzeitig mit der Sprachumschaltung soll der Wert einer Variablen von der Maßeinheit Grad Celsius in Grad Fahrenheit umgerechnet werden.

Die Formel für die Umrechung lautet:

Grad Fahrenheit=(Grad Celsius*1.8)+32

Example Beispiel

Erzeugen Sie ein Bild des Bildtyps Login und machen Sie dieses sprachumschaltbar in eine Sprache Ihrer Wahl.